1. Roger Kaufmann
  2. SP Weather (Module)
  3. Wednesday, 15 May 2019
Hi Guys,
Like with V2, V3 is giving me troubles. I installed it yesterday and, as I have an API already, went with openweathermap.org. I get the attached error message, even though the API, the location, and the php settings are OK:

"Please make sure that, your allow_url_fopen or cURL is enabled. Also, make sure your API key and location is correct. Verify your location from here https://openweathermap.org/find"

Does anybody have a tip?
Attachments (1)
Responses (13)
Accepted Answer Pending Moderation
Hi there,

Thanks for your query. Please share your settings screenshot.

-Thanks
  1. more than a month ago
  2. SP Weather (Module)
  3. # 1
Accepted Answer Pending Moderation
I have the same issue.
  1. more than a month ago
  2. SP Weather (Module)
  3. # 2
Accepted Answer Pending Moderation
If you also saw message
Please make sure that, your allow_url_fopen or cURL is enabled.


please do what it says. Ask hosting support for help with PHP settings.
  1. more than a month ago
  2. SP Weather (Module)
  3. # 3
Accepted Answer Pending Moderation
Hello,

Same problem, though my server has allow_url_fopen and cUrl enabled. API key and location is correct too!

capt.jpg

Best Regards
Attachments (1)
  1. more than a month ago
  2. SP Weather (Module)
  3. # 4
Accepted Answer Pending Moderation
If you have a new version and still doesn't worry, sorry -- but we cannot change that, those are scripts from Weather API. Try weather widget from one of weather website instead.
  1. more than a month ago
  2. SP Weather (Module)
  3. # 5
Accepted Answer Pending Moderation
If you have a new version and still doesn't worry, sorry -- but we cannot change that, those are scripts from Weather API. Try weather widget from one of weather website instead.


Ok Yahoo works fine. Thank you.
  1. more than a month ago
  2. SP Weather (Module)
  3. # 6
Accepted Answer Pending Moderation
If you have a new version and still doesn't worry, sorry -- but we cannot change that, those are scripts from Weather API. Try weather widget from one of weather website instead.


Ok Yahoo works fine. Thank you.


You are most welcome & Thanks
  1. more than a month ago
  2. SP Weather (Module)
  3. # 7
Accepted Answer Pending Moderation
Does not work with OpenWeather. I get same error message Roger Kaufmann (the first poster)

Screenshot 2019-06-27 16.39.47.png
Attachments (1)
  1. more than a month ago
  2. SP Weather (Module)
  3. # 8
Accepted Answer Pending Moderation
Does not work with OpenWeather. I get same error message Roger Kaufmann (the first poster)

[attachment]Screenshot 2019-06-27 16.39.47.png[/attachment]


Hi there, Please check this forum post.

https://www.joomshaper.com/forums/quick-fix-for-gazette-newsplus-and-resort-templates-regarding-sp-weather-v3-0-update

-Thanks
  1. more than a month ago
  2. SP Weather (Module)
  3. # 9
Accepted Answer Pending Moderation
Same here. OpenWeather doesn't work - same error as reported above - so maybe best remove that from the module if it's unfixable. Still a great module with 4 provider options!
  1. more than a month ago
  2. SP Weather (Module)
  3. # 10
Accepted Answer Pending Moderation
Hi there,

OpenWeather forecast is Paid. That's why it doesn't work. Please disable the forecast & check, please.

-Thanks
  1. more than a month ago
  2. SP Weather (Module)
  3. # 11
Accepted Answer Pending Moderation
Ah I see. OK that explains it! Thanks.
  1. more than a month ago
  2. SP Weather (Module)
  3. # 12
Accepted Answer Pending Moderation
Ah I see. OK that explains it! Thanks.


Hi there, You are most welcome & Thanks
  1. more than a month ago
  2. SP Weather (Module)
  3. # 13


There are no replies made for this post yet.
Be one of the first to reply to this post!


This forum is archived

This forum has been archived. Please use JoomShaper official support system.